Subject: categories: Re: WHY ARE WE CONCERNED? I

From: "Prof. Peter Johnstone" <[email-masked]>
Date: Thu, 30 Mar 2006 10:03:57 +0100 (BST)

On Wed, 29 Mar 2006, Vaughan Pratt wrote:

> a few decades ago an elementary exposition of the Fundamental
> Theorem of Algebra would not be expected to include an elementary proof
> since the extant proofs were either lengthy arguments or nonelementary
> appeals to the minimum modulus principle, properties of holomorphic
> functions such as Liouville's theorem, or other results the reader would
> be unlikely to be on top of.  The dominant belief was that the only
> short proofs were nonelementary ones.
>
> But for an audience aware only that z^i for any nonnegative integer i
> maps circles at the origin to i-fold circles of radius r^i at the
> origin, an entirely elementary notion, an expositor today would be
> morally obligated to include a full proof since there is hardly anything
> left to explain.  The polynomial a_d z^d + ... + a_0 maps little circles
> to the neighborhood of a_0 and big circles to a loop tending to a very
> big d-fold circle of radius a_d r^d, whence the smoothly growing image,
> under the polynomial, of a smoothly growing circle is obliged to cross
> the origin at some stage.  Still a topological argument, but now an
> entirely elementary one.
>
> Except, that is, for the theorem that a loop wound d times around the
> hole in the punctured plane cannot be continuously retracted to a point,
> which was tacitly smuggled in there.   But that statement is less
> intimidating than anything based on holomorphic functions.
>
> This slick proof seems only to have emerged in the past couple of
> decades.

Has it? It seems to me no more than (an explicity homotopy-theoretic
formulation of) the (implicitly homotopy-theoretic) proof via
Rouch\'e's Theorem, which I was taught as an undergraduate (and which
I've taught to undergraduates on many occasions since then).

Peter Johnstone